List Service Accounts API
This API lists all service accounts belonging to the authenticated customer, with pagination.
Input parametersInput parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| page | Optional | Integer | Page number (1-based). Default: 1 |
| limit | Optional | Integer | Items per page. Range: 1–100. Default: 25 |
| sort | Optional | String | Sort field and direction. Format: field,direction.Default: createdAt,desc |
Sample - List Service AccountsSample - List Service Accounts
API Request
curl -X GET \ '<qualys_gateway_url>/flexscan-api/rest/v1/service-accounts?page=1&limit=25&sort=createdAt,desc' \ -H 'Authorization: Bearer <qas-jwt-token>'
API Response
{
"data": [
{
"accountId": "my-gcp-project-123",
"cloudType": "GCP",
"customerUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"connectorUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"portalUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"regions": ["us-east1", "us-west1"],
"state": "REGISTERED",
"createdAt": "2026-05-01T10:00:00",
"updatedAt": "2026-05-28T11:30:00"
}
],
"errors": [],
"meta": {
"page": 1,
"limit": 25,
"total": 5,
"timestamp": "2026-05-28T11:30:00Z"
}
}